## cd-version

cd-version — Obtains the version for the installed colord

## Functions

#define | CD_CHECK_VERSION()

## Types and Values

#define | CD_MAJOR_VERSION
#define | CD_MINOR_VERSION
#define | CD_MICRO_VERSION

## Description

These compile time macros allow the user to enable parts of client code depending on the version of libcolord installed.

See also: CdClient, CdDevice

## Functions

### CD_CHECK_VERSION()

    #define             CD_CHECK_VERSION(major,minor,micro)

Check whether a colord version equal to or greater than major.minor.micro.

## Types and Values

### CD_MAJOR_VERSION

    #define CD_MAJOR_VERSION				(1)

The compile-time major version

### CD_MINOR_VERSION

    #define CD_MINOR_VERSION				(4)

The compile-time minor version

### CD_MICRO_VERSION

    #define CD_MICRO_VERSION				(8)

The compile-time micro version